openQA Project - action #97580
coordination # 69310 (Blocked): [epic] SUSE QA tools team ticket process helpers

Automatic check for ga-tools backlog limits in Github Actions
2021-08-27 10:13 - VANASTASIADIS

Status: Resolved Start date: 2021-08-27
Priority: Normal Due date:

Assignee: VANASTASIADIS % Done: 0%
Category: Feature requests Estimated time: 0.00 hour
Target version: Ready

Difficulty:

Description

User story

Instead of manually accessing the custom queries defined in
https://progress.opensuse.org/projects/ga/wiki/#Target-numbers-or-guideline-should-be-in-priorities, it would be nice to have
automatic checks for those in a gh actions workflow.

Acceptance criteria

e AC1: A scheduled Github Actions workflow exists that fails when the target numbers for any one of the defined queries are not
met
e AC2: Consider if any further action would be desired (like an alert in case of target numbers not being met)

Tasks

e Create a gh action workflow with individual checks for each query in
https://progress.opensuse.org/projects/qa/wiki/#Target-numbers-or-guideline-should-be-in-priorities
e Evaluate if there's a need for further actions

Further details

A POC exists here: https:/github.com/BillAnastasiadis/ga-tools-backlog-assistant/actions

History

#1 - 2021-08-27 10:28 - VANASTASIADIS
- Parent task set to #69310

#2 - 2021-08-31 12:24 - VANASTASIADIS
- Status changed from New to Feedback

- Target version changed from future to Ready

Feature implemented at https:/github.com/os-autoinst/ga-tools-backlog-assistant

#3 - 2021-08-31 19:11 - VANASTASIADIS

- Status changed from Feedback to Resolved

Feature is working as expected in https://github.com/os-autoinst/qa-tools-backlog-assistant. Resolving the ticket.

#4 - 2021-08-31 19:17 - okurz
- Status changed from Resolved to Feedback

- Assignee set to VANASTASIADIS

Does the action fail if one of the alerts trigger?
#5 - 2021-09-02 12:12 - VANASTASIADIS

Good question: The action does fail if any of the alerts trigger, but not before running all of the checks first - so that if more than one queries fail, they
are all shown and not only the first one.

#6 - 2021-09-21 10:40 - VANASTASIADIS

- Status changed from Feedback to Resolved

I think it's safe to say that this ticket is now resolved. Further fixes and improvements can be discussed in https:/progress.opensuse.org/issues/98186
